%{
#include "y.tab.h"
%}
dreel    ([0-9]*[.][0-9]+)
ereel    ([0-9]*[.][0-9]+[eE][+-]?[0-9]+)
%%
[ \t]+     ;
[0-9]+     { sscanf(yytext,"%d",&yylval.ganzzahl); return(INTEGER); }
{dreel}    |
{ereel}    { sscanf(yytext,"%lf",&yylval.reel); return(REEL); }
[A-Za-z]   { yylval.zeich=tolower(yytext[0])-'a'; return(BUCHSTABE); }
\n         |
.          return(yytext[0]);
